<?php
//---------------------------------------------------
// rNote 初期設定
//---------------------------------------------------

//------------------------------------------
// サイト全般の設定

// $_SERVERが拾えないサーバーの場合は以下のような設定を追加してください。
//$_SERVER['HTTP_HOST']='my.site.jp';
//$_SERVER['PHP_SELF']='/rnote/rnote.php';

define(SITE_TITLE,'俺様ページ@rNote');		// サイトのタイトル
define(SITE_AUTHOR,'俺様');					// サイトの作者
define(SITE_URL,'http://your.site.jp/');	// サイトのURL
define(SITE_LANG,'ja');						// サイトの言語
define(SITE_CHARSET,'UTF-8');				// 文字コード

define(ADMIN_ID,'rnote');					// 管理者ID (0.9.5)
define(ADMIN_PASSWORD,'superpassword');		// 管理者モード用パスワード (0.9.2)

define(DIR_DATA,'entries/');				// 記事を置く場所（777であらかじめ作成）
//define(DIR_DATA,'/virtual/foo/entries/');	// サーバー上の絶対パス記述も一応可能です。

define(DIR_PLUGINS,'plugins/');				// プラグインの場所 (0.9.2)
define(DIR_CACHE,'cache/');					// キャッシュ生成場所 (0.9.7)

define(USE_MOD_REWRITE,false);				// mod_rewrite 使用でrnote.php隠蔽？ true or false
define(EVAL_ENABLE,false);					// trueで、スキン内にPHPスクリプトを記述して実行可。(0.9.4)

define(DATETIME_FORMAT,'%m/%d %H:%M');		// 日付時刻表示のフォーマット規定値
define(DATETIME_LOCALE,'ja_JP');			// 日付時刻表示のロケール規定値
//define(DATETIME_LOCALE,'ja_JP.UTF8');		// 曜日が文字化けする場合はこのようにすると良いらしいです。

//------------------------------------------
// 表示・カテゴリ設定

define(NUM_ITEMS,5);			// １ページに表示する記事数の規定値
define(FORTHBACKMODE,true);		// 前後移動はカテゴリ内に限定する場合はtrue

// 外部からの書き込みを許可するディレクトリ (0.9.7)
// （BBSの新規書き込み、XML-RPC:metaWeblog.newPost によるエントリ作成の許可）
$dir_access_enable[] = 'bbs/';

// トップレベルには表示しないカテゴリ
// ここにリストアップされたカテゴリは、トップページやRSS、Recent Entriesなどには反映しなくなります。
$nodisp_at_toplv[] = 'info';
$nodisp_at_toplv[] = 'bbs';

// カテゴリ名変換テーブル
$category_name[''] = 'Home';
$category_name['01'] = 'January';
$category_name['02'] = 'February';
$category_name['03'] = 'March';
$category_name['04'] = 'April';
$category_name['05'] = 'May';
$category_name['06'] = 'June';
$category_name['07'] = 'July';
$category_name['08'] = 'August';
$category_name['09'] = 'September';
$category_name['10'] = 'October';
$category_name['11'] = 'November';
$category_name['12'] = 'December';
$category_name['diary'] = '俺日記';
$category_name['info'] = '俺情報';
$category_name['bbs'] = '掲示板';

//------------------------------------------
// ツッコミ・トラックバック、BBS

define(FORM_CONVENC_AUTO,false);	// フォーム入力がどうしても文字化けする場合はtrueに
define(TRACKBACK_MAXEXCERPT,128);	// トラックバック表示時の要約最大文字数
define(WRITEBACK_MAXTEXT,1024);		// 投稿本文最大文字数
define(BBS_MAXTEXT,4096);			// BBS本文最大文字数 (0.9.4)
define(WRITEBACK_MAXQUERY,256);		// BBS及びツッコミのその他のクエリ（名前やURLやタイトル）の最大文字数

define(BBS_DEFAULT_TITLE,'無題');		// BBS、タイトル未入力時(0.9.4)
define(BBS_DEFAULT_NAME,'通りすがり');	// BBS、名前未入力時 (0.9.4)
define(MEASURES_FOR_SPAM,'（あっとまーく）');		// スパム対策、ツッコミ投稿者のメアドの@を変換

// ツッコミ＆トラックバック受付日数
// 1以上で受付日数、-1なら無限に受付、0は全く受け付けません。
$wb_acceptdays['']=14;			// ディフォルト設定です。（この行は消さないでください）
$wb_acceptdays['info']=0;		// こんな感じで付け足してください。

//------------------------------------------
// リンク元
define(REFERER_MERGE,true);			// リンク元、同一サイトは一つにまとめる？

// 「この記事のリンク元」に含めないアドレス
$no_referer_site[]='rnoteadmin';
$no_referer_site[]='localhost';
$no_referer_site[]='google';
$no_referer_site[]='infoseek';
$no_referer_site[]='search';	// search.goo, search.nifty, search.biglobe, excite.xx/search.gw ...etc
$no_referer_site[]='angebote';
$no_referer_site[]='bloglines.com';

//------------------------------------------
// タグ名設定

define(TAG_TITLE,'Title');				// タイトルのタグ名
define(TAG_DATE,'Date');				// 日付のタグ名
define(TAG_TEXT,'Text');				// 本文のタグ名
define(TAG_DESCRIPTION,'Description');	// 要約のタグ名
define(TAG_WBACCEPT,'WB_Accept');		// ツッコミ受付フラグのタグ名

define(TAG_BBS_NAME,'AuthorName');		// BBS、投稿者の名前 (0.9.4)
define(TAG_BBS_URL,'AuthorUrl');		// BBS、投稿者のURL or E-Mail (0.9.4)
define(TAG_BBS_PASS,'Password');		// BBS、記事削除PASS (0.9.4)

//------------------------------------------
// ファイル名関係

define(EXT_DOCUMENT,'.xml');	// 投稿記事の拡張子
define(EXT_ACCESS,'.htm');		// アクセス用拡張子

define(FNAME_SKIN_EXT,'.skin');			// スキンの標準拡張子
define(FNAME_SKIN_BODY,'html_body'.FNAME_SKIN_EXT);		// BODY用スキンのファイル名
define(FNAME_SKIN_ITEM,'html_item'.FNAME_SKIN_EXT);		// ITEM用スキンのファイル名

define(FNAME_SKIN_WRITEBACK,DIR_DATA.'writeback'.FNAME_SKIN_EXT);	// ツッコミ用スキン (0.9.4)
define(FNAME_SKIN_ERROR,DIR_DATA.'error'.FNAME_SKIN_EXT);			// 通常エラー用スキン

define(CONTENT_TYPE_HTML,"Content-Type: text/html; charset=".SITE_CHARSET);
define(CONTENT_TYPE_XML,"Content-Type: text/xml; charset=".SITE_CHARSET);		// for rss, trackback response

define(FNAME_RSS,'rss.rdf');		// RSSのファイル名
define(MAX_DESCRIPTION,128);		// RSS生成時の要約の最大長
define(FNAME_SKIN_RSS,DIR_DATA.'rss_body'.FNAME_SKIN_EXT);	// RSS生成用スキン

?>
