<?php
/*---------------------------------------------------

	Plugin for rNote Administrator Tool
	rNote動作設定

	by Woody-Rinn 2004
	http://rinn.e-site.jp/

---------------------------------------------------*/

class config{
	function getinfo(){
		$info['btn_name'] = '動作設定';
		$info['title'] = 'rNoteの動作設定';
		return $info;
	}
	function disp(){
		$g_config['return_if_modified']=1;
		$g_config['cache_enable']=1;
		$g_config['cache_pages_max']=64;
		$g_config['resent_wb_log_max']=40;

		if($_POST['mode']=='config_write'){
			foreach($_POST as $key => $value) if(isset($g_config[$key])){
				$g_config[$key]=$value;
			}

			$fp = _fopen_wb(FNAME_CONFIG);
			foreach($g_config as $key => $value){
				fwrite($fp,implode("=", array($key,$value) )."\n");
			}
			fclose($fp);
			@chmod($logfile,0666);

			$_COOKIE[COOKIE_TESTFLAG]='';
			if($_POST['cellphone_test']) $_COOKIE[COOKIE_TESTFLAG].='cellphone,';
			if($_COOKIE[COOKIE_TESTFLAG]){
				setcookie(COOKIE_TESTFLAG, $_COOKIE[COOKIE_TESTFLAG], time()+24*3600);	// one day
			}else{
				setcookie(COOKIE_TESTFLAG);	// delete
			}
		}else{
			if(file_exists(FNAME_CONFIG)){
				$data = _file(FNAME_CONFIG);
				foreach($data as $a) if($a){
					list($key,$value) = explode("=",str_replace("\n","",$a));
					if(isset($g_config[$key])) $g_config[$key]=$value;
				}
			}
		}

		$ret .= "<form method=\"post\" action=\"".$_SERVER['PHP_SELF']."?disp=config\">\n";
		$ret .= "<input type=\"hidden\" name=\"mode\" value=\"config_write\" />\n";
		//-------------
		$ret .= "<h3>●キャッシュ関係の設定</h3>\n";
		$ret .= "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"list\">\n";
		$ret .= "<tr><th>項目</th><th>設定値</th><th>説明</th></tr>\n";

		$ret .= "<tr><td>If-Modified-Sinceに応答</td><td>";
		$ret .= "<input type=\"radio\" name=\"return_if_modified\" value=\"1\"";
		if($g_config['return_if_modified']) $ret .= " checked=\"checked\"";
		$ret .= ">する ";
		$ret .= "<input type=\"radio\" name=\"return_if_modified\" value=\"0\"";
		if(!$g_config['return_if_modified']) $ret .= " checked=\"checked\"";
		$ret .= ">しない";
		$ret .= "</td><td>ブラウザやプロキシのキャッシュが有効になります。</td></tr>\n";

		$ret .= "<tr><td>ページキャッシュを生成</td><td>";
		$ret .= "<input type=\"radio\" name=\"cache_enable\" value=\"1\"";
		if($g_config['cache_enable']) $ret .= " checked=\"checked\"";
		$ret .= ">する ";
		$ret .= "<input type=\"radio\" name=\"cache_enable\" value=\"0\"";
		if(!$g_config['cache_enable']) $ret .= " checked=\"checked\"";
		$ret .= ">しない";
		$ret .= "</td><td>ページの生成結果をサーバーに保存しておきます。</td></tr>\n";

		$ret .= "<tr><td>キャッシュするページ数</td><td>";
		$ret .= "<input type=\"text\" name=\"cache_pages_max\" value=\"".$g_config['cache_pages_max']."\" size=\"4\">ページ";
		$ret .= "</td><td>ページキャッシュを生成する場合、記録するページ数の最大値を設定します。</td></tr>\n";

		//-------------
		$ret .= "<tr style=\"caption\"><td colspan=\"3\"><h3>●その他</h3></td></tr>\n";
		$ret .= "<tr><th>項目</th><th>設定値</th><th>説明</th></tr>\n";

		$ret .= "<tr><td>最近のツッコミ等のログ保存数</td><td>";
		$ret .= "<input type=\"text\" name=\"resent_wb_log_max\" value=\"".$g_config['resent_wb_log_max']."\" size=\"4\">件";
		$ret .= "</td><td>最近のツッコミ等のログの保存数の最大値を設定します。</td></tr>\n";

		$ret .= "<tr><td>携帯用ページをテスト</td><td>";
		$ret .= "<input type=\"radio\" name=\"cellphone_test\" value=\"1\"";
		if(ereg('cellphone',$_COOKIE[COOKIE_TESTFLAG])) $ret .= " checked=\"checked\"";
		$ret .= ">する ";
		$ret .= "<input type=\"radio\" name=\"cellphone_test\" value=\"0\"";
		if(!ereg('cellphone',$_COOKIE[COOKIE_TESTFLAG])) $ret .= " checked=\"checked\"";
		$ret .= ">しない";
		$ret .= "</td><td>このブラウザでアクセスした時に携帯用の表示を行います。</td></tr>\n";

		//-------------
		$ret .= "</table>\n";
		$ret .= "<input type=\"submit\" value=\"この内容で設定する\" />\n";
		$ret .= "</form>\n";
		$ret .= "<p>※キャッシュを無効から有効に切り替える際は、必ず再構築を行ってください。</p>\n";
		return $ret;
	}
}
?>
