<?php
/*---------------------------------------------------

	Plugin for rNote Administrator Tool
	最近のツッコミ等のログ表示

	by Woody-Rinn 2004
	http://rinn.e-site.jp/

---------------------------------------------------*/

class wb_log{
	function getinfo(){
		$info['btn_name'] = 'ログ表示';
		$info['title'] = '最近のツッコミ等';
		return $info;
	}
	function disp(){
		if(!file_exists(FNAME_RECENT_WB_LOG)) return $ret."<p>ログが存在しません。</p>";
		if(!file_exists(FNAME_FILECACHE)) return $ret."<p>エントリが一つも無いか、再構築が行われていません。</p>";
		$wblog = _file(FNAME_RECENT_WB_LOG);
		$flist = _file(FNAME_FILECACHE);
		foreach($flist as $a){
			list($fname,$date,$title,$wbaccept) = explode("\t",str_replace("\n",'',$a));
			$fnamelist[$fname] = $title;
		}

		$ret .= "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"list\">\n";
		$ret .= "<tr><th>日付</th><th>種別</th><th>対象エントリ</th><th>記事タイトル</th><th>内容</th></tr>\n";
		foreach($wblog as $log){
			list($type,$fname,$value,$time) = explode("\t", str_replace("\n","",$log));
			if($time){
				$ret .= "<tr>";
				$ret .= "<td>".date("m/d H:i",$time)."</td>";
				switch($type){
				case 'tb': $ret .= "<td>Trackback</td>"; break;
				case 'wb': $ret .= "<td>ツッコミ</td>"; break;
				case 'bw': $ret .= "<td>BBS書き込み</td>"; break;
				case 'bd': $ret .= "<td>BBS消去</td>"; break;
				case 'rf': $ret .= "<td>リンク元</td>"; break;
				default:   $ret .= "<td>$type</td>"; break;
				}
				if(isset($fnamelist[$fname])){
					$ret .= "<td><a href=\"".MakeLinkUrl($fname)."\">".ext_change($fname,EXT_ACCESS)."</a></td>";
					$ret .= "<td>".$fnamelist[$fname]."</td>";
				}else{
					$ret .= "<td>".ext_change($fname,EXT_ACCESS)."</td><td></td>";
				}
				switch($type){
				case 'bd':
					$ret .= "<td>".$value."消去</td>"; break;
				case 'tb':
				case 'rf':
					$value_dsp = $value;
					if(mb_strlen($value,SITE_CHARSET)>80)
						 $value_dsp = mb_substr($value, 0, 80, SITE_CHARSET) . '...';
					$ret .= "<td><a href=\"$value\">$value_dsp</a></td>";
					break;
				default:
					$ret .= "<td>$value</td>"; break;
				}
				$ret .= "</tr>\n";
			}
		}
		$ret .= "</table>\n";
		return $ret;
	}
}
?>
